Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.uddi.client.structures.datatypes
Class InstanceDetails

    java.lang.Object
      |
      +--weblogic.uddi.client.structures.datatypes.InstanceDetails

public class InstanceDetails
extends java.lang.Object

The instanceDetails is used to hold web service instance specific information.

Version:
  1.0
Author:
  Salman Khan, Jason Ong

Constructor Summary
`InstanceDetails()` Class constructor.

Method Summary
`void` | `addDescription(java.lang.String desValue)` Adds a new description to the set of descriptions.
`java.util.Vector` | `getDescriptionVector()` Gets the set of descriptions.
`InstanceParms` | `getInstanceParms()` Gets the value of the instance parms.
`OverviewDoc` | `getOverviewDoc()` Gets the value of the overview doc.
`void` | `setDescriptionVector(java.util.Vector v)` Sets the set of descriptions.
`void` | `setInstanceParms(InstanceParms value)` Sets the value of the instance parms.
`void` | `setOverviewDoc(OverviewDoc ovDoc)` Sets the value of the overview doc.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### InstanceDetails

    public InstanceDetails()

  Class constructor.

Method Detail

### addDescription

    public void addDescription(java.lang.String desValue)

  Adds a new description to the set of descriptions.

  Parameters:
    `desValue` - the new description.

### getDescriptionVector

    public java.util.Vector getDescriptionVector()

  Gets the set of descriptions.

  Returns:
    the current set of descriptions.

### setDescriptionVector

    public void setDescriptionVector(java.util.Vector v)

  Sets the set of descriptions.

  Parameters:
    `v` - the new set of descriptions.

### setOverviewDoc

    public void setOverviewDoc(OverviewDoc ovDoc)

  Sets the value of the overview doc.

  Parameters:
    `ovDoc` - the new value of the overview doc.

### setInstanceParms

    public void setInstanceParms(InstanceParms value)

  Sets the value of the instance parms.

  Parameters:
    `value` - the new value of the instance parms.

### getInstanceParms

    public InstanceParms getInstanceParms()

  Gets the value of the instance parms.

  Returns:
    the current value of the instance parms.

### getOverviewDoc

    public OverviewDoc getOverviewDoc()

  Gets the value of the overview doc.

  Returns:
    the current value of the overview doc.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference